/* css nomalizing */
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
  border: 0;
  margin: 0;
  padding: 0;
  letter-spacing: -0.025em;
  vertical-align: baseline;
  font-weight: normal;
  font-style: normal;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after {
  content: "";
  content: none;
}

ol, ul, li {
  list-style: none;
  margin: 0;
  padding: 0;
}

img {
  border-style: none;
}

template {
  display: none;
}

a {
  display: block;
  width: 100%;
  color: inherit;
  background-color: transparent;
  cursor: pointer;
  text-decoration: none;
}

img {
  display: block;
  width: auto;
}

button {
  background: transparent;
  border: none;
  cursor: pointer;
  margin: 0;
  padding: 0;
  font-size: inherit;
}

article, aside, details, figcaption, footer, header, hgroup, menu, nav, section {
  display: block;
}

select, optgroup {
  line-height: 1;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

textarea {
  overflow-y: auto;
}

pre {
  margin: 0;
  padding: 0;
}

input, textarea, pre {
  line-height: 1.2;
  font-family: inherit;
  font-size: inherit; /* font-size: 1em; */
  color: inherit;
}

code, kbd, samp {
  line-height: 1.2;
  font-family: monospace, monospace;
  font-size: inherit; /* font-size: 1em; */
}

small {
  font-size: 0.8em;
}

select {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  font-family: inherit;
}

select::-ms-expand {
  display: none;
}

optgroup {
  font-family: inherit;
  font-style: normal;
}

summary {
  display: list-item;
}

abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

button, select {
  border: 0;
  margin: 0;
  padding: 0;
  font-family: inherit;
  text-transform: none;
  border-style: none;
}

button, [type=button], [type=reset], [type=submit] {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

[type=search] {
  -webkit-appearance: textfield;
     -moz-appearance: textfield;
          appearance: textfield;
  outline-offset: -2px;
}

input[type=number]::-webkit-outer-spin-button, input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
          appearance: none;
  margin: 0;
}

progress {
  vertical-align: baseline;
}

legend {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  white-space: normal;
}